### Home Classes Methods

### In Files

- lib/amqp/exceptions.rb

### Parent

AMQP::Error

### Methods

- ::new
- #filtered_settings

### Class/Module Index

Quicksearch

- AMQP
- AMQP::Broker
- AMQP::Channel
- AMQP::ChannelClosedError
- AMQP::Client
- AMQP::Consumer
- AMQP::Error
- AMQP::Exchange
- AMQP::Header
- AMQP::IncompatibleOptionsError
- AMQP::Integration
- AMQP::Integration::Rails
- AMQP::PossibleAuthenticationFailureError
- AMQP::Queue
- AMQP::Session
- AMQP::TCPConnectionFailed
- AMQP::Utilities
- AMQP::Utilities::EventLoopHelper
- AMQP::Utilities::ServerType

No matching classes.

# AMQP::PossibleAuthenticationFailureError

Raised when authentication fails. @api public

### Attributes

settings[R]

@return [Hash] connection settings that were used

### Public Class Methods

new(settings) click to toggle source

    # File lib/amqp/exceptions.rb, line 42
    def initialize(settings)
      @settings = settings

      super("AMQP broker closed TCP connection before authentication succeeded: this usually means authentication failure due to misconfiguration. Settings are #{filtered_settings.inspect}")
    end

### Public Instance Methods

filtered_settings() click to toggle source

    # File lib/amqp/exceptions.rb, line 48
    def filtered_settings
      filtered_settings = settings.dup
      [:pass, :password].each do |sensitve_setting|
        filtered_settings[sensitve_setting] &&= '[filtered]'
      end

      filtered_settings
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.